StorageHelper (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.hadoop.pig

## Class StorageHelper

- java.lang.Object
- - org.apache.cassandra.hadoop.pig.StorageHelper

- Deprecated.

      @Deprecated
      public class StorageHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PARTITION_FILTER_SIGNATURE` Deprecated.
    `static java.lang.String` | `PIG_INITIAL_ADDRESS` Deprecated.
    `static java.lang.String` | `PIG_INPUT_FORMAT` Deprecated.
    `static java.lang.String` | `PIG_INPUT_INITIAL_ADDRESS` Deprecated.
    `static java.lang.String` | `PIG_INPUT_PARTITIONER` Deprecated.
    `static java.lang.String` | `PIG_INPUT_RPC_PORT` Deprecated.
    `static java.lang.String` | `PIG_INPUT_SPLIT_SIZE` Deprecated.
    `static java.lang.String` | `PIG_OUTPUT_FORMAT` Deprecated.
    `static java.lang.String` | `PIG_OUTPUT_INITIAL_ADDRESS` Deprecated.
    `static java.lang.String` | `PIG_OUTPUT_PARTITIONER` Deprecated.
    `static java.lang.String` | `PIG_OUTPUT_RPC_PORT` Deprecated.
    `static java.lang.String` | `PIG_PARTITIONER` Deprecated.
    `static java.lang.String` | `PIG_RPC_PORT` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StorageHelper()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.Object` | `cassandraToObj(AbstractType validator, java.nio.ByteBuffer value, int nativeProtocolVersion)` Deprecated.
    `protected static byte` | `getPigType(AbstractType type)` Deprecated. get pig type for the cassandra data type
    `protected static void` | `setConnectionInformation(org.apache.hadoop.conf.Configuration conf)` Deprecated.
    `protected static void` | `setTupleValue(org.apache.pig.data.Tuple pair, int position, java.lang.Object value)` Deprecated. set the value to the position of the tuple

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PIG_INPUT_RPC_PORT

          public static final java.lang.String PIG_INPUT_RPC_PORT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PIG_INPUT_INITIAL_ADDRESS

          public static final java.lang.String PIG_INPUT_INITIAL_ADDRESS

      Deprecated.
      See Also:
        Constant Field Values

    - #### PIG_INPUT_PARTITIONER

          public static final java.lang.String PIG_INPUT_PARTITIONER

      Deprecated.
      See Also:
        Constant Field Values

    - #### PIG_OUTPUT_RPC_PORT

          public static final java.lang.String PIG_OUTPUT_RPC_PORT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PIG_OUTPUT_INITIAL_ADDRESS

          public static final java.lang.String PIG_OUTPUT_INITIAL_ADDRESS

      Deprecated.
      See Also:
        Constant Field Values

    - #### PIG_OUTPUT_PARTITIONER

          public static final java.lang.String PIG_OUTPUT_PARTITIONER

      Deprecated.
      See Also:
        Constant Field Values

    - #### PIG_RPC_PORT

          public static final java.lang.String PIG_RPC_PORT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PIG_INITIAL_ADDRESS

          public static final java.lang.String PIG_INITIAL_ADDRESS

      Deprecated.
      See Also:
        Constant Field Values

    - #### PIG_PARTITIONER

          public static final java.lang.String PIG_PARTITIONER

      Deprecated.
      See Also:
        Constant Field Values

    - #### PIG_INPUT_FORMAT

          public static final java.lang.String PIG_INPUT_FORMAT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PIG_OUTPUT_FORMAT

          public static final java.lang.String PIG_OUTPUT_FORMAT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PIG_INPUT_SPLIT_SIZE

          public static final java.lang.String PIG_INPUT_SPLIT_SIZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### PARTITION_FILTER_SIGNATURE

          public static final java.lang.String PARTITION_FILTER_SIGNATURE

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StorageHelper

          public StorageHelper()

      Deprecated.

  - ### Method Detail

    - #### setConnectionInformation

          protected static void setConnectionInformation(org.apache.hadoop.conf.Configuration conf)

      Deprecated.

    - #### cassandraToObj

          protected static java.lang.Object cassandraToObj(AbstractType validator,
                                                           java.nio.ByteBuffer value,
                                                           int nativeProtocolVersion)

      Deprecated.

    - #### setTupleValue

          protected static void setTupleValue(org.apache.pig.data.Tuple pair,
                                              int position,
                                              java.lang.Object value)
                                       throws org.apache.pig.backend.executionengine.ExecException

      Deprecated.
      set the value to the position of the tuple
      Throws:
        `org.apache.pig.backend.executionengine.ExecException`

    - #### getPigType

          protected static byte getPigType(AbstractType type)

      Deprecated.
      get pig type for the cassandra data type

Copyright © 2018 The Apache Software Foundation